# Clutter::Path::Nodes Class Reference

List of all members.

## Classes

class | const_iterator
class | iterator
class | reference

## Public Types

typedef guint | size_type
typedef int | difference_type
typedef PathNode | value_type
typedef const value_type | const_reference
typedef std::reverse_iterator < iterator > | reverse_iterator
typedef std::reverse_iterator < const_iterator > | const_reverse_iterator

## Public Member Functions

size_type | size () const
bool | empty () const
iterator | begin ()
const_iterator | begin () const
iterator | end ()
const_iterator | end () const
reverse_iterator | rbegin ()
reverse_iterator | rend ()
const_reverse_iterator | rbegin () const
const_reverse_iterator | rend () const
const_reference | operator[] (size_type i) const
reference | operator[] (size_type i)
reference | front ()
const_reference | front () const
reference | back ()
const_reference | back () const

## Member Typedef Documentation

typedef const value_type Clutter::Path::Nodes::const_reference

typedef std::reverse_iterator<const_iterator> Clutter::Path::Nodes::const_reverse_iterator

typedef int Clutter::Path::Nodes::difference_type

typedef std::reverse_iterator<iterator> Clutter::Path::Nodes::reverse_iterator

typedef guint Clutter::Path::Nodes::size_type

typedef PathNode Clutter::Path::Nodes::value_type

## Member Function Documentation

reference Clutter::Path::Nodes::back | ( |  | ) | `[inline]`

const_reference Clutter::Path::Nodes::back | ( |  | ) | const`[inline]`

const_iterator Clutter::Path::Nodes::begin | ( |  | ) | const`[inline]`

iterator Clutter::Path::Nodes::begin | ( |  | ) | `[inline]`

bool Clutter::Path::Nodes::empty | ( |  | ) | const`[inline]`

iterator Clutter::Path::Nodes::end | ( |  | ) | `[inline]`

const_iterator Clutter::Path::Nodes::end | ( |  | ) | const`[inline]`

const_reference Clutter::Path::Nodes::front | ( |  | ) | const`[inline]`

reference Clutter::Path::Nodes::front | ( |  | ) | `[inline]`

reference Clutter::Path::Nodes::operator[] | ( | size_type | i | ) | `[inline]`

const_reference Clutter::Path::Nodes::operator[] | ( | size_type | i | ) | const

const_reverse_iterator Clutter::Path::Nodes::rbegin | ( |  | ) | const`[inline]`

reverse_iterator Clutter::Path::Nodes::rbegin | ( |  | ) | `[inline]`

reverse_iterator Clutter::Path::Nodes::rend | ( |  | ) | `[inline]`

const_reverse_iterator Clutter::Path::Nodes::rend | ( |  | ) | const`[inline]`

size_type Clutter::Path::Nodes::size | ( |  | ) | const

The documentation for this class was generated from the following file:

- cluttermm/path.h